Subject: Re: booting 2.2.2 kernels on RiscPC

From: Nicholas Clark <[email-masked]>
Date: Sun, 14 Mar 1999 17:41:37 +0000 (GMT)

In the last mail [email-masked] said:

> > I can't run screen - I get many many lines of "modprobe: Out of file handles"
> > and then a final message about no more ptys.
> 
> Check that you are using major 2/3 pty devices, not the old major 4 ones.
> The modprobe thing is something I saw on one of my Intel boxes but I'm
> not sure why. Maybe an old version of modutils or something.

Correct. ttys are major 4 at the moment. I'm goint to hack /dev/MAKEDEV

> > It also refused to load my ppp module. I think it's refusing to load all
> > modules. It may be because the 2.2.0 kernel needs it to load the Acorn FPE,
> > and it appears to be trying this for 2.2.2. Not sure.
> 
> What goes wrong?

I've got the March 12 version of modutils.
modprobe works, as unlike 2.1.121 it makes no mention of unresolved references
insmod now seems to refuse to find modules. Gives an error to this effect
(I forget the exact wording)

Nick
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]